### Enumeration

# AppStream TranslationKind

#### Declaration

    enum AppStream.TranslationKind

#### Description [src]

The translation type.

#### Members

`AS_TRANSLATION_KIND_UNKNOWN`

  Type invalid or not known.

  - Value: `0`
  - Available since: 1.0
`AS_TRANSLATION_KIND_GETTEXT`

  Gettext translation domain.

  - Value: `1`
  - Available since: 1.0
`AS_TRANSLATION_KIND_QT`

  Qt translation domain.

  - Value: `2`
  - Available since: 1.0

#### Type functions

###### as_translation_kind_from_string

Converts the text representation to an enumerated value.

###### as_translation_kind_to_string

Converts the enumerated value to a text representation.